/**
 * 商户自行实现依据订单号out_order_no查询订单状态方法，
 */
function queryOrderStatus(data) {
  let { out_order_no } = data
  return new Promise(function (resolve, reject) {
    // 依据out_order_no查询订单状态，返回结果
    // 0：支付成功 1：支付超时 2：支付失败 3：支付关闭 4：取消支付 9：订单状态未知
    resolve({ code: 9 })
  })
}
Page({
  /**
   * 确认支付
   */
  onMerchantPay: function () {
    tt.showLoading({ title: '订单提交中...' })

    // 请求后端接口进行下单，并获取拉起小程序收银台的签名订单信息
    // 可以使用Server SDK生成拉起小程序收银台的参数
    tt.request({
      url: `http://127.0.0.1:3000/createOrder`, // 替换为后端真实下单地址
      method: 'POST',
      data: {},
      success(res) {
        tt.hideLoading()
        tt.pay({
          orderInfo: res.data,
          getOrderStatus: queryOrderStatus,
          success(res) {
            if (res.code == 0) {
              console.log('suc', res)
            }
          },
          fail(res) {
            console.log('fail', err)
          }
        })
      }
    })
  }
})
